Source: haskell-dbus
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Millikin <jmillikin@gmail.com>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-cereal-dev (<< 0.6),
 libghc-cereal-prof,
 libghc-conduit-dev (>= 1.3.0),
 libghc-conduit-dev (<< 1.4),
 libghc-conduit-prof,
 libghc-exceptions-dev (<< 0.11),
 libghc-exceptions-prof,
 libghc-lens-dev (<< 4.20),
 libghc-lens-prof,
 libghc-network-dev (>= 3.0.1.0),
 libghc-network-dev (<< 3.2),
 libghc-network-prof,
 libghc-random-dev (<< 1.3),
 libghc-random-prof,
 libghc-split-dev (<< 0.3),
 libghc-split-prof,
 libghc-th-lift-dev (<< 0.9),
 libghc-th-lift-prof,
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-xml-conduit-dev (>= 1.9.0.0),
 libghc-xml-conduit-dev (<< 1.10.0.0),
 libghc-xml-conduit-prof,
 libghc-xml-types-dev (<< 0.4),
 libghc-xml-types-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-cereal-doc,
 libghc-conduit-doc,
 libghc-exceptions-doc,
 libghc-lens-doc,
 libghc-network-doc,
 libghc-random-doc,
 libghc-split-doc,
 libghc-th-lift-doc,
 libghc-vector-doc,
 libghc-xml-conduit-doc,
 libghc-xml-types-doc,
Standards-Version: 4.4.0
Homepage: https://github.com/rblaze/haskell-dbus#readme
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-dbus
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-dbus]

Package: libghc-dbus-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell implementation of D-Bus${haskell:ShortBlurb}
 D-Bus is a simple, message-based protocol for inter-process communication,
 which allows applications to interact with other parts of the machine and
 the user's session using remote procedure calls.
 .
 haskell-dbus is an implementation of the D-Bus protocol in Haskell. It can
 be used to add D-Bus support to Haskell applications, without the awkward
 interfaces common to foreign bindings.
 .
 ${haskell:Blurb}

Package: libghc-dbus-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell implementation of D-Bus${haskell:ShortBlurb}
 D-Bus is a simple, message-based protocol for inter-process communication,
 which allows applications to interact with other parts of the machine and
 the user's session using remote procedure calls.
 .
 haskell-dbus is an implementation of the D-Bus protocol in Haskell. It can
 be used to add D-Bus support to Haskell applications, without the awkward
 interfaces common to foreign bindings.
 .
 ${haskell:Blurb}

Package: libghc-dbus-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell implementation of D-Bus${haskell:ShortBlurb}
 D-Bus is a simple, message-based protocol for inter-process communication,
 which allows applications to interact with other parts of the machine and
 the user's session using remote procedure calls.
 .
 haskell-dbus is an implementation of the D-Bus protocol in Haskell. It can
 be used to add D-Bus support to Haskell applications, without the awkward
 interfaces common to foreign bindings.
 .
 ${haskell:Blurb}
